View Issue Details

IDProjectCategoryView StatusLast Update
0001501Database Comparer VCL[All Projects] Generalpublic2019-04-18 19:44
ReportershirokovAssigned Tobarry 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version[Database Comparer] 7.0.0.1677 
Summary0001501: Cannot parse a procedure body with a statement that contains a column named as OPTION within table.
DescriptionThe error occurs when comparing two databases. There is a column named as OPTION within table.

It gives an error when parsing bodies. It can't parse the statement
"insert into TABLE1 ( col0, col1, option, col3, col4) values (....)"

It says:
"Error: Procedure .... : Invalid factor in expression (OPTION)"
TagsNo tags attached.

Activities

barry

2019-03-18 16:36

administrator   ~0004013

Скорее всего юзает какую-то старую версию, у меня даже с FB 2.5 все нормально.

barry

2019-03-18 16:37

administrator   ~0004014

insert into table1
(ID, col1, col2, option)
values(1,2,3,4)

Issue History

Date Modified Username Field Change
2019-03-14 15:10 shirokov New Issue
2019-03-18 16:36 barry Note Added: 0004013
2019-03-18 16:36 barry Assigned To => barry
2019-03-18 16:36 barry Status new => feedback
2019-03-18 16:37 barry Note Added: 0004014
2019-04-11 17:17 barry Status feedback => resolved
2019-04-11 17:17 barry Resolution open => fixed
2019-04-11 17:17 barry Fixed in Version => 7.0.0.1677
2019-04-18 19:44 barry Status resolved => closed